Sign in Start for free

Feature Toggles

Queues a publish of a project’s feature flag manifest to the feature flag service

POST /api/{spaceId}/projects/{projectId}/feature-flags/publish

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/feature-flags/publish.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Response

200 — Acknowledges that a publish of the project’s feature flag manifest has been queued.

Example Response

JSON
{}

Lists the attempts to publish a project’s feature flag manifest to the feature flag service, newest first

GET /api/{spaceId}/projects/{projectId}/feature-flags/publish-attempts

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/feature-flags/publish-attempts.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Query Parameters

  • skip integer (required)
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer (required)
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Success

  • ItemType string
    The type of item in this list.
  • Items array of object
    • CompletedAt string
      Format date-time.
    • FailureCategory string
      Why a failed attempt failed: RegistrationFailed, MissingLicenseSerialNumber, MissingSigningKey, NetworkError, HttpError or Unexpected. Not set when the attempt succeeded.
    • HttpStatusCode integer
      The status code the feature flag service responded with, when a failed attempt received a response.
    • Id string
    • Outcome string
    • ProjectId string
    • SpaceId string
    • StartedAt string
      Format date-time.
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "FeatureFlagPublishAttempt",
  "Items": [
    {
      "CompletedAt": "2020-01-01T00:00:00.000Z",
      "FailureCategory": "string",
      "HttpStatusCode": 0,
      "Id": "string",
      "Outcome": "string",
      "ProjectId": "Projects-1",
      "SpaceId": "Spaces-1",
      "StartedAt": "2020-01-01T00:00:00.000Z"
    }
  ],
  "ItemsPerPage": 30,
  "LastPageNumber": 1,
  "NumberOfPages": 2,
  "TotalResults": 42
}

Generates a feature toggle client identifier for a given project, environment, and tenant

POST /api/{spaceId}/projects/{projectId}/featuretoggles/generate-client-identifier

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/featuretoggles/generate-client-identifier.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Request Body

  • EnvironmentId string (required)
  • ProjectId string (required)
  • SpaceId string (required)
  • TenantId string

Response

200 — A generated feature toggle client identifier for a given project, environment, and tenant.

  • ClientIdentifier string
    Minimum length 1.

Example Request

JSON
{
  "EnvironmentId": "Environments-1",
  "ProjectId": "Projects-1",
  "SpaceId": "Spaces-1",
  "TenantId": "Tenants-1"
}

Example Response

JSON
{
  "ClientIdentifier": "string"
}

Rotates the feature toggle client identifier signing keys for a project

POST /api/{spaceId}/projects/{projectId}/featuretoggles/rotate-client-identifier-signing-key

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/featuretoggles/rotate-client-identifier-signing-key.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Request Body

  • CompleteRotation boolean (required)
  • ProjectId string (required)
  • SpaceId string (required)

Response

200 — Acks the completion of the rotation of the feature toggle client identifier signing keys for a project.

Example Request

JSON
{
  "CompleteRotation": false,
  "ProjectId": "Projects-1",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{}